- rebuild with poppler 0.53
[packages/gdal.git] / gdal.spec
1 # TODO:
2 # - be reasonable about devel dependencies - you do not need all of them to
3 #   use gdal (probably a gdal module or driver shall not imply devel
4 #   dependency)
5 # - libjpeg12 (needs patching to use system one, --with-jpeg12 is not sufficient as of 1.9.2)
6 # - libkml (1.3.0 needed, not released yet)
7 # - wait for newer pcidsk, switch to external again
8 # - csharp, java
9 # - additional, proprietary(?) formats support:
10 #   - FMEObjects (http://www.safe.com/support/support-resources/fme-downloads/)
11 #   - ESRI FileGDBAPI (http://resources.arcgis.com/content/geodatabases/10.0/file-gdb-api)
12 #   - ECW (http://www.erdas.com/products/ecw/ERDASECWJPEG2000SDK/Details.aspx)
13 #   - Kakadu/JPEG2000 (http://www.kakadusoftware.com/)
14 #   - MrSID (http://www.lizardtech.com/developer/)
15 #   - MSG/EUMETSAT (http://www.eumetsat.int/Home/Main/DataAccess/SupportSoftwareTools/index.htm)
16 #   - Ingres (--with-ingres=/path)
17 #   - Informix DB (--with-idb)
18 #   - DWGdirect (members only? http://www.opendwg.org/)
19 #   - ESRI SDE (http://www.esri.com/software/arcgis/arcsde/index.html)
20 #
21 # Conditional build:
22 %bcond_without  armadillo       # Armadillo support for faster TPS transform
23 %bcond_without  crnlib          # DDS support via crunch/crnlib
24 %bcond_without  epsilon         # EPSILON wavelet compression support
25 %bcond_without  fyba            # SOSI geodata support using FYBA
26 %bcond_with     grass           # GRASS support (note: dependency loop; use gdal-grass.spec instead)
27 %bcond_without  gta             # GTA format support
28 %bcond_without  kea             # KEA format support
29 %bcond_without  mysql           # MySQL DB support
30 %bcond_with     oci             # ORACLE OCI DB and Georaster support
31 %bcond_without  odbc            # ODBC DB support
32 %bcond_without  opencl          # OpenCL (GPU) support
33 %bcond_without  openjpeg        # OpenJPEG 2 (JPEG2000) support
34 %bcond_with     podofo          # PDF support via podofo instead of poppler
35 %bcond_without  poppler         # PDF support via poppler
36 %bcond_without  rasdaman        # Rasdaman support
37 %bcond_without  spatialite      # SpatiaLite support
38 %bcond_without  xerces          # Xerces support
39 %bcond_without  java            # Java and MDB support
40 %bcond_with     php             # PHP binding [PHP 7 not supported by swig 3.0.x]
41 %bcond_with     ruby            # Ruby binding [not available as of 2.0.2]
42
43 %if %{with podofo}
44 %undefine       with_poppler
45 %endif
46 %if 0%{!?php_name:1}
47 %define         php_name        php55
48 %endif
49 Summary:        Geospatial Data Abstraction Library
50 Summary(pl.UTF-8):      Biblioteka abstrakcji danych dotyczących powierzchni Ziemi
51 Name:           gdal
52 Version:        2.0.2
53 Release:        11
54 License:        BSD-like
55 Group:          Libraries
56 Source0:        http://download.osgeo.org/gdal/%{version}/%{name}-%{version}.tar.xz
57 # Source0-md5:  940208e737c87d31a90eaae43d0efd65
58 Patch0:         %{name}-perl.patch
59 Patch1:         %{name}-python_install.patch
60 Patch2:         %{name}-php.patch
61 Patch3:         %{name}-fpic.patch
62 Patch5:         %{name}-grass.patch
63 Patch7:         %{name}-link.patch
64 Patch8:         %{name}-fyba.patch
65 Patch9:         %{name}-dds.patch
66 Patch11:        %{name}-armadillo.patch
67 Patch12:        %{name}-rasdaman.patch
68 Patch13:        %{name}-pluginsdir.patch
69 Patch14:        %{name}-uchar.patch
70 URL:            http://www.gdal.org/
71 %{?with_php:BuildRequires:      %{php_name}-devel}
72 %{?with_opencl:BuildRequires:   OpenCL-devel >= 1.0}
73 %{?with_armadillo:BuildRequires:        armadillo-devel}
74 BuildRequires:  autoconf >= 2.52
75 BuildRequires:  automake
76 BuildRequires:  cfitsio-devel
77 %{?with_crnlib:BuildRequires:   crnlib-devel}
78 BuildRequires:  curl-devel
79 BuildRequires:  doxygen >= 1.4.2
80 %{?with_epsilon:BuildRequires:  epsilon-compressor-devel}
81 BuildRequires:  expat-devel >= 1.95.0
82 %{?with_fyba:BuildRequires:     fyba-devel}
83 BuildRequires:  freexl-devel >= 1.0
84 BuildRequires:  gcc >= 6:4.1
85 BuildRequires:  geos-devel >= 3.1.0
86 BuildRequires:  giflib-devel >= 4.0
87 %{?with_grass:BuildRequires:    grass-devel >= 6.4}
88 BuildRequires:  hdf-devel >= 4.0
89 BuildRequires:  hdf5-devel
90 BuildRequires:  jasper-devel
91 %{?with_java:BuildRequires:     jdk}
92 %{?with_java:BuildRequires:     jpackage-utils}
93 BuildRequires:  json-c-devel >= 0.11
94 %{?with_kea:BuildRequires:      kealib-devel}
95 BuildRequires:  libcsf-devel >= 2.0-0.041111.6
96 BuildRequires:  libdap-devel >= 3.10
97 BuildRequires:  libgeotiff-devel >= 1.2.1
98 %{?with_gta:BuildRequires:      libgta-devel}
99 BuildRequires:  libjpeg-devel >= 6b
100 #BuildRequires: libkml-devel >= 1.3.0
101 BuildRequires:  libpng-devel >= 2:1.2.8
102 %{?with_spatialite:BuildRequires:       libspatialite-devel}
103 BuildRequires:  libstdc++-devel
104 BuildRequires:  libtiff-devel >= 4.0
105 BuildRequires:  libtool
106 BuildRequires:  libuuid-devel
107 BuildRequires:  libwebp-devel
108 BuildRequires:  libxml2-devel >= 2
109 %{?with_mysql:BuildRequires:    mysql-devel}
110 BuildRequires:  netcdf-devel >= 4.1
111 BuildRequires:  ogdi-devel >= 3.1
112 %{?with_openjpeg:BuildRequires: openjpeg2-devel >= 2.0.0-2}
113 # 8.1.7 for DB support, 10.0.1 for georaster
114 %{?with_oci:BuildRequires:      oracle-instantclient-devel >= 10.0.1}
115 #BuildRequires: pcidsk-devel > 0.3
116 BuildRequires:  perl-devel
117 %{?with_podofo:BuildRequires:   podofo-devel}
118 %{?with_poppler:BuildRequires:  poppler-devel >= 0.24}
119 # ensure it's compiled with PQescapeStringConn support
120 BuildRequires:  postgresql-backend-devel >= 8.1.4
121 BuildRequires:  postgresql-devel >= 8.1.4
122 BuildRequires:  proj-devel >= 4
123 BuildRequires:  python-devel >= 1:2.5
124 BuildRequires:  python-numpy-devel >= 1:1.0.0
125 BuildRequires:  python-setuptools
126 %{?with_rasdaman:BuildRequires: rasdaman-devel}
127 BuildRequires:  rpm-pythonprov
128 %{?with_ruby:BuildRequires:     rpm-rubyprov}
129 BuildRequires:  rpmbuild(macros) >= 1.344
130 %{?with_ruby:BuildRequires:     ruby-devel}
131 BuildRequires:  sed >= 4.0
132 BuildRequires:  sqlite3-devel >= 3.0.0
133 BuildRequires:  swig-perl
134 BuildRequires:  swig-php >= 2.0.12-2
135 BuildRequires:  swig-python >= 1.3
136 %{?with_ruby:BuildRequires:     swig-ruby}
137 BuildRequires:  texlive-dvips
138 BuildRequires:  texlive-latex
139 %{?with_odbc:BuildRequires:     unixODBC-devel >= 2.2.15}
140 %{?with_xerces:BuildRequires:   xerces-c-devel >= 2.7.0}
141 BuildRequires:  xz-devel
142 BuildRequires:  zlib-devel >= 1.1.4
143 Requires:       freexl >= 1.0
144 Requires:       geos >= 3.1.0
145 Requires:       libgeotiff >= 1.2.1
146 Requires:       libpng >= 2:1.2.8
147 Requires:       libtiff >= 4.0
148 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
149
150 %description
151 GDAL is a translator library for raster geospatial data formats that
152 is released under an Open Source license. As a library, it presents a
153 single abstract data model to the calling application for all
154 supported formats. The related OGR library (which lives within the
155 GDAL source tree) provides a similar capability for simple features
156 vector data.
157
158 %description -l pl.UTF-8
159 GDAL to biblioteka konwertująca między formatami rastrowych danych
160 dotyczących powierzchni Ziemi, udostępniona na licencji Open Source.
161 Jako biblioteka udostępnia aplikacjom jeden abstrakcyjny model danych
162 do wszystkich obsługiwanych formatów. Powiązana z nią biblioteka OGR
163 (której źródła są dołączone do drzewa źródeł GDAL) daje podobne
164 możliwości dla danych wektorowych.
165
166 %package devel
167 Summary:        GDAL library header files
168 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki GDAL
169 Group:          Development/Libraries
170 Requires:       %{name} = %{version}-%{release}
171 %{?with_opencl:Requires:        OpenCL-devel >= 1.0}
172 %{?with_armadillo:Requires:     armadillo-devel}
173 Requires:       cfitsio-devel
174 %{?with_crnlib:Requires:        crnlib-devel}
175 Requires:       curl-devel
176 %{?with_epsilon:Requires:       epsilon-compressor-devel}
177 %{?with_fyba:Requires:  fyba-devel}
178 Requires:       expat-devel >= 1.95.0
179 Requires:       freexl-devel >= 1.0
180 Requires:       geos-devel >= 3.1.0
181 Requires:       giflib-devel >= 4.0
182 Requires:       hdf-devel >= 4.0
183 Requires:       hdf5-devel
184 Requires:       jasper-devel
185 Requires:       json-c-devel >= 0.11
186 %{?with_kea:Requires:   kealib-devel}
187 Requires:       libcsf-devel
188 Requires:       libdap-devel >= 3.10
189 Requires:       libgeotiff-devel >= 1.2.1
190 %{?with_gta:Requires:   libgta-devel}
191 Requires:       libjpeg-devel >= 6b
192 Requires:       libpng-devel >= 2:1.2.8
193 %{?with_spatialite:Requires:    libspatialite-devel}
194 Requires:       libstdc++-devel
195 Requires:       libtiff-devel >= 4.0
196 Requires:       libuuid-devel
197 Requires:       libwebp-devel
198 Requires:       libxml2-devel >= 2
199 %{?with_mysql:Requires: mysql-devel}
200 Requires:       netcdf-devel >= 4
201 Requires:       ogdi-devel >= 3.1
202 %{?with_openjpeg:Requires:      openjpeg2-devel >= 2.0.0-2}
203 #Requires:      pcidsk-devel > 0.3
204 %{?with_podofo:Requires:        podofo-devel}
205 %{?with_poppler:Requires:       poppler-devel >= 0.24}
206 Requires:       postgresql-devel
207 Requires:       proj-devel >= 4
208 %{?with_rasdaman:Requires:      rasdaman-devel}
209 Requires:       sqlite3-devel >= 3.0.0
210 %{?with_odbc:Requires:  unixODBC-devel}
211 %{?with_xerces:Requires:        xerces-c-devel >= 2.7.0}
212 Requires:       xz-devel
213 Requires:       zlib-devel >= 1.1.4
214
215 %description devel
216 GDAL library header files.
217
218 %description devel -l pl.UTF-8
219 Pliki nagłówkowe biblioteki GDAL.
220
221 %package static
222 Summary:        GDAL static libraries
223 Summary(pl.UTF-8):      Statyczne biblioteki GDAL
224 Group:          Development/Libraries
225 Requires:       %{name}-devel = %{version}-%{release}
226
227 %description static
228 GDAL static libraries.
229
230 %description static -l pl.UTF-8
231 Statyczne biblioteki GDAL.
232
233 %package -n perl-gdal
234 Summary:        Perl bindings for GDAL
235 Summary(pl.UTF-8):      Wiązania Perla do pakietu GDAL
236 Group:          Development/Languages/Perl
237 Requires:       %{name} = %{version}-%{release}
238
239 %description -n perl-gdal
240 Perl bindings for GDAL - Geo::GDAL, Geo::OGR and Geo::OSR modules.
241
242 %description -n perl-gdal -l pl.UTF-8
243 Wiązania Perla do pakietu GDAL - moduły Geo::GDAL, Geo::OGR, Geo::OSR.
244
245 %package -n %{php_name}-gdal
246 Summary:        PHP bindings for GDAL library
247 Summary(pl.UTF-8):      Wiązania PHP do biblioteki GDAL
248 Group:          Development/Languages/PHP
249 Requires:       %{name} = %{version}-%{release}
250 %{?requires_php_extension}
251
252 %description -n %{php_name}-gdal
253 PHP bindings for GDAL library
254
255 %description -n %{php_name}-gdal -l pl.UTF-8
256 Wiązania PHP do biblioteki GDAL.
257
258 %package -n python-gdal
259 Summary:        GDAL Python module
260 Summary(pl.UTF-8):      Moduł Pythona GDAL
261 Group:          Libraries/Python
262 Requires:       %{name} = %{version}-%{release}
263 Requires:       python-libs
264
265 %description -n python-gdal
266 GDAL Python module.
267
268 %description -n python-gdal -l pl.UTF-8
269 Moduł Pythona GDAL.
270
271 %package -n ruby-gdal
272 Summary:        Ruby bindings for GDAL
273 Summary(pl.UTF-8):      Wiązania języka Ruby do pakietu GDAL
274 Group:          Development/Languages
275 Requires:       %{name} = %{version}-%{release}
276
277 %description -n ruby-gdal
278 Ruby bindings for GDAL - gdal, gdalconst, ogr and osr modules.
279
280 %description -n ruby-gdal -l pl.UTF-8
281 Wiązania języka Ruby do pakietu GDAL - moduły gdal, gdalconst, ogr i
282 osr.
283
284 %prep
285 %setup -q
286 %patch0 -p1
287 %patch1 -p1
288 %patch2 -p1
289 %patch3 -p1
290 %patch5 -p1
291 %patch7 -p1
292 %patch8 -p1
293 %patch9 -p1
294 %patch11 -p1
295 %patch12 -p1
296 %patch13 -p1
297 %patch14 -p1
298
299 # need to regenerate (old ones don't support perl 5.10 or php 5.5)
300 %{__rm} swig/{perl,php}/{gdal_wrap.cpp,gdalconst_wrap.c,ogr_wrap.cpp,osr_wrap.cpp}
301
302 %{__sed} -i \
303         -e 's/^CC=gcc/CC=%{__cc}/' \
304         -e 's/^CXX=g++/CXX=%{__cxx}/' \
305         -e 's/^CFLAGS=-fpic/CFLAGS=%{rpmcflags} -fPIC/' \
306         -e 's/^LDFLAGS=-shared/LDFLAGS=%{rpmldflags} -shared/' \
307         swig/php/GNUmakefile
308 # Build with fPIC to allow Ruby bindings
309 # Xcompiler should normally achieve that -- http://trac.osgeo.org/gdal/ticket/3978
310 # http://trac.osgeo.org/gdal/ticket/1994
311 sed -i 's|\$(CFLAGS)|$(CFLAGS) -fPIC|g' swig/ruby/RubyMakefile.mk
312 # Install Ruby bindings to distribution specific directory
313 sed -i 's|RUBY_EXTENSIONS_DIR :=.*|RUBY_EXTENSIONS_DIR := %{ruby_vendorarchdir}|' swig/ruby/RubyMakefile.mk
314
315 # Install Ruby bindings into the proper place
316 sed -i -e 's|^$(INSTALL_DIR):|$(DESTDIR)$(INSTALL_DIR):|' swig/ruby/RubyMakefile.mk
317 sed -i -e 's|^install: $(INSTALL_DIR)|install: $(DESTDIR)$(INSTALL_DIR)|' swig/ruby/RubyMakefile.mk
318
319 # our man path
320 sed -i -e 's#^mandir=.*##g' configure.in
321
322 %{__rm} -r man
323
324 %{__sed} -i -e 's,DODS_INC="-I.*,DODS_INC="$(pkg-config --cflags libdap)",' configure.in
325
326 %build
327 %ifarch %{x8664}
328 jvm_arch=amd64
329 %endif
330 %ifarch %{ix86}
331 jvm_arch=i386
332 %endif
333 %ifarch x32
334 jvm_arch=x32
335 %endif
336
337 %{__libtoolize}
338 %{__aclocal} -I m4
339 %{__autoconf}
340 %{__autoheader}
341 %configure \
342         --includedir=%{_includedir}/gdal \
343         --datadir=%{_datadir}/gdal \
344         --with-dods-root=/usr \
345         %{?with_armadillo:--with-armadillo} \
346         %{?with_crnlib:--with-dds} \
347         %{?with_epsilon:--with-epsilon} \
348         %{?with_grass:--with-grass} \
349         %{!?with_gta:--without-gta} \
350         --with-hide-internal-symbols \
351         %{?with_java:--with-java=%{java_home}} \
352         --with-liblzma \
353         %{!?with_kea:--without-kea} \
354         %{?with_java:--with-mdb --with-jvm-lib-add-rpath --with-jvm-lib=%{java_home}/jre/lib/$jvm_arch/server} \
355         %{?with_mysql:--with-mysql} \
356         %{?with_oci:--with-oci --with-oci-include=/usr/include/oracle/client --with-oci-lib=%{_libdir}} \
357         %{?with_opencl:--with-opencl} \
358         --with-perl \
359         %{?with_php:--with-php} \
360         %{?with_podofo:--with-podofo} \
361         %{?with_poppler:--with-poppler} \
362         --with-python \
363         %{?with_rasdaman:--with-rasdaman=%{_libdir}/rasdaman} \
364         %{?with_ruby:--with-ruby} \
365         %{?with_fyba:--with-sosi} \
366         %{?with_spatialite:--with-spatialite} \
367         --with-sqlite3 \
368         --with-webp \
369         %{?with_xerces:--with-xerces} \
370         --with-xerces-inc=/usr/include/xercesc \
371         --with-xerces-lib="-lxerces-c" \
372         --without-libgrass
373 #       --with-pcidsk=/usr (needs > 0.3)
374 # csharp builds, but has no configure option nor install target
375
376 # regenerate where needed
377 %{__make} -j1 -C swig/perl generate
378 %if %{with ruby}
379 %{__make} -j1 -C swig/ruby generate
380 %endif
381
382 %{__make} -j1 \
383         %{?with_grass:GRASS_INCLUDE="-I/usr/include/grass64"} \
384         %{?with_fyba:SOSI_INC="-I/usr/include/fyba"}
385
386 %{__make} -j1 docs
387
388 %{__make} -j1 man
389
390 %install
391 rm -rf $RPM_BUILD_ROOT
392
393 %{__make} -j1 install install-man \
394         DESTDIR=$RPM_BUILD_ROOT
395
396 rm -rf _html
397 cp -a html _html
398
399 %if %{with php}
400 # missing in make install
401 install -d $RPM_BUILD_ROOT%{php_extensiondir}
402 install -p swig/php/php_gdal.so $RPM_BUILD_ROOT%{php_extensiondir}/gdal.so
403 install -p swig/php/php_gdalconst.so $RPM_BUILD_ROOT%{php_extensiondir}/gdalconst.so
404 install -p swig/php/php_ogr.so $RPM_BUILD_ROOT%{php_extensiondir}/ogr.so
405 install -p swig/php/php_osr.so $RPM_BUILD_ROOT%{php_extensiondir}/osr.so
406 install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
407 cat <<'EOF' >$RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/gdal.ini
408 ; Enable gdal extension modules
409 extension=gdal.so
410 extension=gdalconst.so
411 extension=ogr.so
412 extension=osr.so
413 EOF
414 %endif
415
416 %py_comp $RPM_BUILD_ROOT%{py_sitedir}
417 %py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
418 %py_postclean
419
420 %{__rm} $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
421 %{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/GDAL/.packlist
422 %{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/GDAL/Const/.packlist
423 %{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/OGR/.packlist
424 %{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Geo/OSR/.packlist
425
426 # some doxygen trash
427 %{__rm} $RPM_BUILD_ROOT%{_bindir}/gdal{compare,move}.dox
428 %{__rm} $RPM_BUILD_ROOT%{_bindir}/gdal_{calc,edit,fillnodata,polygonize,proximity,sieve}.dox
429
430 %clean
431 rm -rf $RPM_BUILD_ROOT
432
433 %post   -p /sbin/ldconfig
434 %postun -p /sbin/ldconfig
435
436 %files
437 %defattr(644,root,root,755)
438 %doc NEWS PROVENANCE.TXT
439 %attr(755,root,root) %{_bindir}/epsg_tr.py
440 %attr(755,root,root) %{_bindir}/esri2wkt.py
441 %attr(755,root,root) %{_bindir}/gcps2vec.py
442 %attr(755,root,root) %{_bindir}/gcps2wld.py
443 %attr(755,root,root) %{_bindir}/gdal2tiles.py
444 %attr(755,root,root) %{_bindir}/gdal2xyz.py
445 %attr(755,root,root) %{_bindir}/gdal_auth.py
446 %attr(755,root,root) %{_bindir}/gdal_contour
447 %attr(755,root,root) %{_bindir}/gdal_calc.py
448 %attr(755,root,root) %{_bindir}/gdal_edit.py
449 %attr(755,root,root) %{_bindir}/gdal_fillnodata.py
450 %attr(755,root,root) %{_bindir}/gdal_grid
451 %attr(755,root,root) %{_bindir}/gdal_merge.py
452 %attr(755,root,root) %{_bindir}/gdal_polygonize.py
453 %attr(755,root,root) %{_bindir}/gdal_proximity.py
454 %attr(755,root,root) %{_bindir}/gdal_rasterize
455 %attr(755,root,root) %{_bindir}/gdal_retile.py
456 %attr(755,root,root) %{_bindir}/gdal_sieve.py
457 %attr(755,root,root) %{_bindir}/gdal_translate
458 %attr(755,root,root) %{_bindir}/gdaladdo
459 %attr(755,root,root) %{_bindir}/gdalbuildvrt
460 %attr(755,root,root) %{_bindir}/gdalchksum.py
461 %attr(755,root,root) %{_bindir}/gdalcompare.py
462 %attr(755,root,root) %{_bindir}/gdaldem
463 %attr(755,root,root) %{_bindir}/gdalenhance
464 %attr(755,root,root) %{_bindir}/gdalident.py
465 %attr(755,root,root) %{_bindir}/gdalimport.py
466 %attr(755,root,root) %{_bindir}/gdalinfo
467 %attr(755,root,root) %{_bindir}/gdallocationinfo
468 %attr(755,root,root) %{_bindir}/gdalmanage
469 %attr(755,root,root) %{_bindir}/gdalmove.py
470 %attr(755,root,root) %{_bindir}/gdalserver
471 %attr(755,root,root) %{_bindir}/gdalsrsinfo
472 %attr(755,root,root) %{_bindir}/gdaltindex
473 %attr(755,root,root) %{_bindir}/gdaltransform
474 %attr(755,root,root) %{_bindir}/gdalwarp
475 %attr(755,root,root) %{_bindir}/mkgraticule.py
476 %attr(755,root,root) %{_bindir}/nearblack
477 %attr(755,root,root) %{_bindir}/ogr2ogr
478 %attr(755,root,root) %{_bindir}/ogrinfo
479 %attr(755,root,root) %{_bindir}/ogrlineref
480 %attr(755,root,root) %{_bindir}/ogrtindex
481 %attr(755,root,root) %{_bindir}/pct2rgb.py
482 %attr(755,root,root) %{_bindir}/rgb2pct.py
483 %attr(755,root,root) %{_bindir}/testepsg
484 %attr(755,root,root) %{_libdir}/libgdal.so.*.*.*
485 %attr(755,root,root) %ghost %{_libdir}/libgdal.so.20
486 %dir %{_libdir}/gdalplugins
487 %{_datadir}/gdal
488 %{_mandir}/man1/gdal2tiles.1*
489 %{_mandir}/man1/gdal_calc.1*
490 %{_mandir}/man1/gdal_contour.1*
491 %{_mandir}/man1/gdal_edit.1*
492 %{_mandir}/man1/gdal_fillnodata.1*
493 %{_mandir}/man1/gdal_grid.1*
494 %{_mandir}/man1/gdal_merge.1*
495 %{_mandir}/man1/gdal_polygonize.1*
496 %{_mandir}/man1/gdal_proximity.1*
497 %{_mandir}/man1/gdal_rasterize.1*
498 %{_mandir}/man1/gdal_retile.1*
499 %{_mandir}/man1/gdal_sieve.1*
500 %{_mandir}/man1/gdal_translate.1*
501 %{_mandir}/man1/gdal_utilities.1*
502 %{_mandir}/man1/gdaladdo.1*
503 %{_mandir}/man1/gdalbuildvrt.1*
504 %{_mandir}/man1/gdalcompare.1*
505 %{_mandir}/man1/gdaldem.1*
506 %{_mandir}/man1/gdalinfo.1*
507 %{_mandir}/man1/gdallocationinfo.1*
508 %{_mandir}/man1/gdalmanage.1*
509 %{_mandir}/man1/gdalmove.1*
510 %{_mandir}/man1/gdalsrsinfo.1*
511 %{_mandir}/man1/gdaltindex.1*
512 %{_mandir}/man1/gdaltransform.1*
513 %{_mandir}/man1/gdalwarp.1*
514 %{_mandir}/man1/nearblack.1*
515 %{_mandir}/man1/ogr2ogr.1*
516 %{_mandir}/man1/ogr_utilities.1*
517 %{_mandir}/man1/ogrinfo.1*
518 %{_mandir}/man1/ogrlineref.1*
519 %{_mandir}/man1/ogrtindex.1*
520 %{_mandir}/man1/pct2rgb.1*
521 %{_mandir}/man1/rgb2pct.1*
522
523 %files devel
524 %defattr(644,root,root,755)
525 %doc _html/*
526 %attr(755,root,root) %{_bindir}/gdal-config
527 %attr(755,root,root) %{_libdir}/libgdal.so
528 %{_libdir}/libgdal.la
529 %{_pkgconfigdir}/gdal.pc
530 %{_includedir}/gdal
531 %{_mandir}/man1/gdal-config.1*
532
533 %files static
534 %defattr(644,root,root,755)
535 %{_libdir}/libgdal.a
536
537 %files -n perl-gdal
538 %defattr(644,root,root,755)
539 %dir %{perl_vendorarch}/Geo
540 %{perl_vendorarch}/Geo/GDAL.pm
541 %dir %{perl_vendorarch}/Geo/GDAL
542 %{perl_vendorarch}/Geo/GDAL/Const.pm
543 %{perl_vendorarch}/Geo/OGR.pm
544 %{perl_vendorarch}/Geo/OSR.pm
545 %dir %{perl_vendorarch}/auto/Geo
546 %dir %{perl_vendorarch}/auto/Geo/GDAL
547 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/GDAL/GDAL.so
548 %dir %{perl_vendorarch}/auto/Geo/GDAL/Const
549 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/GDAL/Const/Const.so
550 %dir %{perl_vendorarch}/auto/Geo/OGR
551 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/OGR/OGR.so
552 %dir %{perl_vendorarch}/auto/Geo/OSR
553 %attr(755,root,root) %{perl_vendorarch}/auto/Geo/OSR/OSR.so
554 %{_mandir}/man3/Geo::GDAL.3pm*
555
556 %if %{with php}
557 %files -n %{php_name}-gdal
558 %defattr(644,root,root,755)
559 %config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/gdal.ini
560 %attr(755,root,root) %{php_extensiondir}/gdal.so
561 %attr(755,root,root) %{php_extensiondir}/gdalconst.so
562 %attr(755,root,root) %{php_extensiondir}/ogr.so
563 %attr(755,root,root) %{php_extensiondir}/osr.so
564 %endif
565
566 %files -n python-gdal
567 %defattr(644,root,root,755)
568 %{py_sitedir}/gdal.py[co]
569 %{py_sitedir}/gdalconst.py[co]
570 %{py_sitedir}/gdalnumeric.py[co]
571 %{py_sitedir}/ogr.py[co]
572 %{py_sitedir}/osr.py[co]
573 %{py_sitedir}/GDAL-*.egg-info
574 %dir %{py_sitedir}/osgeo
575 %attr(755,root,root) %{py_sitedir}/osgeo/_gdal.so
576 %attr(755,root,root) %{py_sitedir}/osgeo/_gdal_array.so
577 %attr(755,root,root) %{py_sitedir}/osgeo/_gdalconst.so
578 %attr(755,root,root) %{py_sitedir}/osgeo/_ogr.so
579 %attr(755,root,root) %{py_sitedir}/osgeo/_osr.so
580 %{py_sitedir}/osgeo/*.py[co]
581
582 %if %{with ruby}
583 %files -n ruby-gdal
584 %defattr(644,root,root,755)
585 %dir %{ruby_vendorarchdir}/gdal
586 %attr(755,root,root) %{ruby_vendorarchdir}/gdal/gdal.so
587 %attr(755,root,root) %{ruby_vendorarchdir}/gdal/gdalconst.so
588 %attr(755,root,root) %{ruby_vendorarchdir}/gdal/ogr.so
589 %attr(755,root,root) %{ruby_vendorarchdir}/gdal/osr.so
590 %endif
This page took 0.131732 seconds and 4 git commands to generate.